Bug 151761 - cpuspeed init script should allow user setting minimum and maximum frequency
Summary: cpuspeed init script should allow user setting minimum and maximum frequency
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-22 03:08 UTC by Behdad Esfahbod
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 16:32:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Behdad Esfahbod 2005-03-22 03:08:19 UTC
Description of problem:
The init scipt for cpuspeed should allow user to set minimum and maximum
frequency.  Pentium 4 CPUs allow scaling down to 12%, which makes them a bit
unresponsive in GUI.  I wish to be able a minimum like 500MHz for scaling.

Additional info:
This can be done by adding something like the follwoing lines before starting
the daemon:

echo MIN_FREQ > /sys/class/system/cpu/cpu0/cpufreq/scaling_min_freq
echo MAX_FREQ > /sys/class/system/cpu/cpu0/cpufreq/scaling_max_freq

or taylored a bit to support multiple CPU systems, but IIRC cpufreq does not
support SMP yet, so this sould be enough.

Comment 1 Matthew Miller 2006-07-10 22:54:09 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Behdad Esfahbod 2006-07-10 23:02:57 UTC
Still relevant.

Comment 3 Jarod Wilson 2007-01-08 16:32:52 UTC
Latest rawhide builds enable this functionality.


Note You need to log in before you can comment on or make changes to this bug.